summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:32:17 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:32:17 -0400
commit9a416ba104ca8a26f7f2973ebcbc71f3aab6e53f (patch)
treed0c96f3ba22b4db85d4eea021fd6748a8be169ad /desktop
parentba8a02bfe9567258609c1b42f2bbb062dd8bafbc (diff)
downloadslackbuilds-9a416ba104ca8a26f7f2973ebcbc71f3aab6e53f.tar.gz
slackbuilds-9a416ba104ca8a26f7f2973ebcbc71f3aab6e53f.tar.xz
desktop/synce-hal: Fixed for bash4.
Diffstat (limited to 'desktop')
-rw-r--r--desktop/synce-hal/synce-hal.SlackBuild13
1 files changed, 2 insertions, 11 deletions
diff --git a/desktop/synce-hal/synce-hal.SlackBuild b/desktop/synce-hal/synce-hal.SlackBuild
index 920c3345f3..88303438e8 100644
--- a/desktop/synce-hal/synce-hal.SlackBuild
+++ b/desktop/synce-hal/synce-hal.SlackBuild
@@ -54,17 +54,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \